#!/bin/bash

if [ "$#" != "1" ]; then
    echo "Usage : $0 root-folder"
    exit 1
fi

ROOT="$1"

#create success csv files
for i in $ROOT/*success*comp-yes*/stats; do
    cat $i  | awk -F',' \
        '{if (NR > 1) printf("%s,%d,%d,%d,%0.3f,%d\n",$1,$2,$3,$4,$5,$6); else print $0}' \
        > $i.csv
done

#create success csv files
for i in $ROOT/*coverage*comp-yes*/stats; do
    cat $i  | awk -F',' \
        '{if (NR > 1) printf("%s,%d,%d,%d,%0.1f,%d\n",$1,$2,$3,$4,$5,$6); else print $0}' \
        > $i.csv
done

#create success.csv
paste -d ',' $ROOT/brunch.success1-*/stats.csv | awk -F',' \
    '{if (NR > 1) print $3","$4","$5","$11","$17","$23","$29","$35","$41","$47","$2","$8","$14","$20","$26","$32","$38","$44}' > $ROOT/success1.csv 
paste -d ',' $ROOT/brunch.success2-*/stats.csv | awk -F',' \
    '{if (NR > 1) print $3","$4","$5","$11","$17","$23","$29","$35","$41","$47","$2","$8","$14","$20","$26","$32","$38","$44}' > $ROOT/success2.csv 
cat $ROOT/success1.csv $ROOT/success2.csv > $ROOT/success.csv

#create success latex file
cat $ROOT/success.csv | awk -F',' '{printf \
("\\hline %s & %s & %s & %s & %s & %s & %s & %s & %s & %s & %d \\\\\n",$1,$2,$3,$4,$5,$6,$7,$8,$9,$10,\
($11+$12+$13+$14+$15+$16+$17+$18)/8)}' > $ROOT/success.tex

#create coverage.csv
paste -d ',' $ROOT/brunch.coverage1-*/stats.csv | awk -F',' \
    '{if (NR > 1) print $3","$4","$5","$11","$17","$23","$29","$35","$41","$47","$2","$8","$14","$20","$26","$32","$38","$44}' > $ROOT/coverage1.csv 
paste -d ',' $ROOT/brunch.coverage2-*/stats.csv | awk -F',' \
    '{if (NR > 1) print $3","$4","$5","$11","$17","$23","$29","$35","$41","$47","$2","$8","$14","$20","$26","$32","$38","$44}' > $ROOT/coverage2.csv 
cat $ROOT/coverage1.csv $ROOT/coverage2.csv > $ROOT/coverage.csv

#create coverage latex file
cat $ROOT/coverage.csv | awk -F',' '{printf \
("\\hline %s & %s & %s & %s & %s & %s & %s & %s & %s & %s & %d \\\\\n",$1,$2,$3,$4,$5,$6,$7,$8,$9,$10,\
($11+$12+$13+$14+$15+$16+$17+$18)/8)}' > $ROOT/coverage.tex
